@charset "utf-8";
/* CSS Document */
:root {
  --coloretesto: #444;
	--colorelight: #E6E6E6;
	--colorefocus: #ecf7f7;
	--colore1: #EF3F3F;
	--colore1: #DB3939;
	--colore2: #333;

}
*{
	padding: 0;
	margin: 0;
	position: relative;
	box-sizing: border-box;
	font-family: "Mulish", sans-serif;
  font-optical-sizing: auto;
	color:var(--coloretesto);
	font-size: 1em;
}
.DMfont {
	font-family: "DM Serif Display", serif;
}

body {
font-size: 0.95em;
	
}

.maschera_on  {
	overflow: hidden;
}
.maschera_libro_on {
	overflow: hidden;
	
}
.gen_noise {
	position: fixed;
	top:0;
	left:0;
	width:100%;
	height: 100%;
	background-image: url("../images/noise-transparent.png");
	z-index: 1000000000000000;
	pointer-events: none;
	opacity: 0;
}
a {
	font-weight: 1000;
	text-decoration: none;
}
.centro {
	text-align: center;
}
.sinistra {
	text-align: left;
}
.destra {
	text-align: right;
}
.centra1{
	display: table;
	width: 100%;
	height: 100%;
}
.centra2{
	display: table-cell;
	width: 100%;
	height: 100%;
	vertical-align: middle;
}
.min_70_vh {
	min-height: 70vh;
}
.bianco {color:#fff;}

.logo {
	padding:  20px 0;
}
.logo h1 {
	display: inline-block;
    vertical-align: middle;
    font-size: 1.8em;
    font-weight: 900;
    letter-spacing: 0.05em;
    padding-left: 15px;
    border-left: 1px solid #666;
    /* text-align: center; */
    /* font-family: 'DM Serif Display', Sarif; */
    line-height: 1;
    /* font-weight: normal; */
    padding: 5px 15px;
}
.logo h1 span{
    font-size: 14px;
    display: block;
    font-weight: 400;
    margin-top: 5px;
    letter-spacing: 0.05em;
}
.logo img {
	display: inline-block;
	vertical-align: middle;
	margin-right: 15px;
	height: 30px;
}
header {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-content: center;
    align-items: center;
	padding: 10px 20px;
}
main {
	padding: 0 20px;
	
}
footer {
	border-top:1px solid #CCC;
	padding: 60px 0px;
	margin-top: 60px;
	font-size: 1em;
	
}
.ricerca_cont {
	padding: 20px 0 ;
	width: 100%;
	max-width: 800px;
	margin: 0 auto;
	
}
.titolo_main {
	font-family: "DM Serif Display", serif;
	font-size: 3em;
	font-weight: 400;
	letter-spacing: 0.02em;
	margin-bottom: 20px;
	line-height: 1em;
}
.input_ricerca_cont {
	border-bottom: 2px solid var(--colore1);
	display: flex;
	flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
}


.campo_ricerca{
    font-size: 1.1em;
    width: 100%;
    border: navajowhite;
    padding: 20px 0;
    outline: none;
	font-size: 1.5em;
	background: none;
	flex:  1 1 300px;
}
.campo_ricerca::placeholder{
	font-style: italic;
	font-size: 0.7em;
}
.input_ricerca_cont .button_1 {
	flex: 0 0 auto;
	margin-left: 20px;
	font-size: 1.2em;
}

.button_0, .button_0b, .button_1 {
  padding: 8px 20px;
    background: var(--coloretesto);
    display: inline-block;
    vertical-align: middle;
    border: none;
    border-radius: 5px;
    color: #fff;
    font-weight: 900;
    overflow: hidden;
    z-index: 1;
    cursor: pointer;
    letter-spacing: 0.05em;
    transition: all .3s;
	line-height: 1em !important;
	text-align: center;
}
.button_0b{
	background: var(--colore1);
}
.button_1{
	padding: 8px 30px;
	background: var(--colore1);
	border-radius: 10000px;
}
.button_1::before {
  content: '';
  z-index: -1;
  background-color: var(--coloretesto);
  position: absolute;
  width: 0%;
  height: 100%;
  top: 0;
  left: 0;
  border-radius: 10000px;
  transition: all .3s;
}
.button_0:hover {
  background-color: var(--colore1);
}
.button_0b:hover {
  background-color: var(--coloretesto);
}
.button_0c:hover {
  color: var(--coloretesto);
	background-color: #fff;
}
.button_1:hover::before {
  width: 100%;
}

.button_2{
    background: #fff;
    color: var(--coloretesto);
    border: 1px solid var(--coloretesto);
    padding: 5px 10px;
    font-weight: 900;
    letter-spacing: 0;
    margin: 5px;
    border-radius: 5px;
    transition: 0.3s ease;
    display: inline-block;
    vertical-align: middle;
    cursor: pointer;
	line-height: 1em !important;
	text-align: center;
}
.button_2:hover {
  background-color: var(--colore1);
	color:#fff;
	 border: 1px solid var(--colore1);
}
.mascherabk {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: 900;
    background: rgba(255, 255,255, 0.85);
	display: none;
}

.maschera_on .mascherabk {
	display: block;
}
.mascherabk2 {
    position: fixed;
    left: 20px;
    top: 20px;
    bottom: 20px;
    right: 20px;
    z-index: 901;
    background: var(--coloretesto);
	border-radius: 10px;
	transform: translateY(-200%);
}
.maschera_on .mascherabk2 {
	transform: translateY(0%);
	animation: mascherabk2;
	animation-duration: 0.5s;
	animation-fill-mode: both;
}
@keyframes mascherabk2 {
  0%   {transform: translateY(50px);
	opacity: 0;}
  100% {transform: translateY(0px);
	opacity: 1;}
}

.maschera {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: 1000;
	transform: translateY(-200%);
}
.maschera_on_autore #maschera_autore, .maschera_on_editore #maschera_editore, .maschera_on_isbn #maschera_isbn  {
	transform: translateY(0%);
	animation: mascherabk2;
	animation-duration: 0.5s;
	animation-delay: 0.2s;
	animation-fill-mode: both;
}
#correggi_maschera_1, #correggi_maschera_2  {
    position: fixed;
    background: #fff;
    height: 20px;
	top: 0;
	right:20px;
	left: 20px;
	z-index: 1000000000000;
	display: none;
}
#correggi_maschera_2 {
top: auto;
	bottom:0;
}
.maschera_on #correggi_maschera_1, .maschera_on #correggi_maschera_2 {
	display: block;
}


.maschera_container {
    margin: 0 auto;
    position: fixed;
    height: 100%;
    overflow: auto;
    left: 0px;
    right: 0px;
	top: 0;
	  scroll-behavior: smooth;
}

.maschera_container2 {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
	padding: 40px;
}

.blocco_lettera_tit {
    font-size: 7em;
    font-family: 'DM Serif Display', serif;
    line-height: 1em;
    margin-bottom: 30px;
    color: #888 !important;
}

.blocco_lettera {
    display: inline-flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 5em;
	width: 100%;
}

.voce_lettera {
    flex: 0 1 calc(33% - 40px);
    margin-right: 40px;
    min-width: 200px;
    padding-bottom: 10px;
    border-bottom: 1px solid #ccc;
    margin-bottom: 20px;
	display: inline-flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: nowrap;
}
.voce_lettera_voce {
    color: #fff;
    font-size: 1.1em;
	cursor: pointer;
	transition: 0.3s ease;
}
.voce_lettera_voce:hover {
    opacity:0.7;
}
.voce_lettera_comando {
    display: inline-block;
    background: #fff;
    border-radius: 1000px;
    padding: 3px 10px;
    font-size: 13px;
    font-weight: 1000;
    cursor: pointer;
    transition: 0.3s ease;
	display: none;
}
.body_admin .voce_lettera_comando {
	 display: inline-block;
}
.voce_lettera_comando:hover {
    opacity:0.7;
}



.cerca_maschera {
	border: 1px solid #fff;
    border-radius: 10px;
    padding: 20px;
    margin: 40px 0;
	padding-bottom: 40px;
    background: #fff;
    width: 100%;
    max-width: 800px;
}


.pul_chiudi {
    position: fixed;
    z-index: 1900;
    right: 40px;
    top: 40px;
    height: 60px;
    width: 60px;
    border-radius: 100000px;
	opacity: 0;
	transition: background 0.5s ease 0.5s;
	pointer-events: none;
	cursor: pointer;
}
.maschera_on #pul_chiudi {
	opacity: 1;
	pointer-events: all;
	background: var(--coloretesto);
}
 .maschera_tipo_on #pul_chiudi2, .maschera_tag_on #pul_chiudi2, .maschera_lingua_on #pul_chiudi2, .maschera_status_on #pul_chiudi2, .maschera_proprieta_on #pul_chiudi2 {
	opacity: 1;
	pointer-events: all;
	background: var(--coloretesto);
	z-index: 800;
}
.maschera_libro_on #pul_chiudi3 {
	opacity: 1;
	pointer-events: all;
	background: var(--coloretesto);
	z-index: 700;
}
.pul_chiudi_1, .pul_chiudi_2 {
    width: 40px;
    height: 2px;
    background: #fff;
    position: absolute;
    top: 50%;
    margin-top: -1px;
    left: 50%;
    margin-left: -20px;
	opacity: 0;
	transition: 0.4s ease;
}
.maschera_on .pul_chiudi_1 , .maschera_libro_on .pul_chiudi_1, .maschera_tipo_on .pul_chiudi_1 , .maschera_tag_on .pul_chiudi_1, .maschera_lingua_on .pul_chiudi_1, .maschera_status_on .pul_chiudi_1, .maschera_proprieta_on .pul_chiudi_1   {
	opacity: 1;
	transform: rotate(-45deg);
}
.maschera_on .pul_chiudi_2, .maschera_libro_on .pul_chiudi_2, .maschera_tipo_on .pul_chiudi_2 , .maschera_tag_on .pul_chiudi_2, .maschera_lingua_on .pul_chiudi_2, .maschera_status_on .pul_chiudi_2, .maschera_proprieta_on .pul_chiudi_2 {
	opacity: 1;
	transform: rotate(45deg);
}
.pul_chiudi:hover .pul_chiudi_1 {
	transform: rotate(-45deg) scale(0.8);
}
.pul_chiudi:hover .pul_chiudi_2{
	transform: rotate(45deg) scale(0.8);
}
.mascherabk3 {
     position: fixed;
    left: 20px;
    top: 20px;
    bottom: 20px;
    right: 20px;
    border-radius: 10px;
    z-index: 2000;
    display: none;
    background: var(--coloretesto);
    opacity: 0;
	transform: translateY(-200%);
	transition: opacity 0.5s ease;
}

.maschera2_on .mascherabk3 {
	transform: translateY(0%);
	display: block;
	opacity: 0.95;
}
.maschera_container_b {
    z-index: 2100;
	transform: translateY(-200%);
	padding: 20px;
}
.maschera2_on_autore #maschera_container_autore_b, .maschera2_on_editore #maschera_container_editore_b,  .maschera2_on_tipo #maschera_container_tipo_b,  .maschera2_on_tag #maschera_container_tag_b, .maschera2_on_lingua #maschera_container_lingua_b, .maschera2_on_status #maschera_container_status_b, .maschera2_on_proprieta #maschera_container_proprieta_b     {
    z-index: 2100;
	transform: translateY(0%);
	animation: mascherabk2;
	animation-duration: 0.5s;
	animation-delay: 0s;
	animation-fill-mode: both;
}


.form1{
	padding: 20px;
    border-radius: 10px;
    background: #fff;
    box-shadow: 0 10px 30px 0px rgba(0, 0, 0, 0.15);
	width: 100%;
    max-width: 600px;
    margin: 0 auto;
    text-align: left;
}
.form1 h2 {
	font-size: 1.3em;
	margin-bottom: 20px;
	font-weight: 1000;
	
}
.form1 label {
	font-style: italic;
}
.form1 input {
    padding: 10px;
    border-radius: 5px;
    border: 1px solid var(--coloretesto);
    font-weight: bold;
	outline: none;
	display: block;
    width: 100%;
    margin: 5px 0 20px 0;
}
.form1 input:focus {
	box-shadow: inset 0 0 0px 1px var(--colore1);
    border: 1px solid var(--colore1);
}

.blocco_comandi {
    background: var(--colore1);
    color: #fff;
    padding: 10px;
    border-radius: 5px;
    text-align: right;
}
.no_value {
    color: #fff;
    border: 1px solid #fff;
    padding: 20px;
}

.cerca_maschera_autore {
	display: none;
}
.body_autore .cerca_maschera_autore {
	display: block;
}
.messaggio_ok, .messaggio_ko {
    background: #f1354a;
    padding: 10px;
    border-radius: 6px;
    margin-top: 20px;
    color: #fff;
    font-weight: bold;
}
.messaggio_ok {
    background: #5ba97c;
}
.messaggio_pul {
	    background: #fff;
    padding: 5px 20px;
    display: inline-block;
    border-radius: 100px;
    margin: 0 10px;
    cursor: pointer;
    transition: 0.3s ease;
}
.messaggio_pul:hover {
	opacity: 0.8;
}



.maschera_libro_cont_1{
    position: fixed;
    left: 0px;
    top: 0px;
    bottom: 0px;
    right: 0px;
    z-index: 500;
    background: rgba(239,63,63,0.8);
	overflow: auto;
    opacity: 0;
	transform: translateY(-200%);
	transition: opacity 0.5s ease;
}
.maschera_libro_on .maschera_libro_cont_1{ 
	opacity: 1;
	transform: translateY(0%);
	
}
.maschera_libro_cont_2 {
    width: 100%;
    height: 100%;
    
    padding: 0px 20px;
}
.maschera_libro_cont_2 .centra2{
    width: 100%;
    height: 100%;
    
    padding: 60px 0px;
}
.maschera_libro {
    width: 100%;
    max-width: 800px;
    background: #fff;
    margin: 0 auto;
    padding: 20px;
    border-radius: 10px;
	box-shadow: 0 10px 30px 0px rgba(0, 0, 0, 0.15);
	transform: translateY(50px);
	opacity: 0;
}
.maschera_libro_on .maschera_libro{ 
	opacity: 1;
	transform: translateY(0%);
	transition: all 0.5s ease 0.1s;
}
.maschera_libro h2 {
    font-size: 1.3em;
    margin-bottom: 20px;
    font-weight: 1000;
}
.flex_libro_voce {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    margin-bottom: 15px;
}
.flex_libro_voce label, .flex_libro_voce_label  {
    flex: 0 0 100px;
    font-style: italic;
	font-size: 14px;
}

.flex_libro_voce input , .flex_libro_voce textarea , .flex_libro_voce select {
    flex: 1 1 auto;
    outline: none;
    padding: 10px;
    border-radius: 6px;
    border: 1px solid #666;
    font-weight: bold;
}
 .flex_libro_voce textarea  {
resize: vertical;
	 height:	 150px;
}
.libro_comandi {
    flex: 0 0 100%;
    text-align: right;
    margin-top: 5px;
}
.comando_libri {
    background: var(--colore1);
    display: inline-block;
    margin-left: 10px;
    padding: 3px 10px;
    border-radius: 1000px;
    color: #fff;
    font-weight: 900;
    font-size: 14px;
    transition: 0.3s ease;
	cursor: pointer;
}
.comando_libri:hover {
    background: var(--coloretesto);
}


.suggerimento {
    position: absolute;
    width: 100%;
    padding: 0px;
	overflow: hidden;
    left: 0;
    top: 80px;
    z-index: 90;
    background: #fff;
    border-radius: 6px;
    min-height: 150px;
    box-shadow: 0 5px 15px 0 rgba(0, 0, 0, 0.2);
	opacity: 0;
	transform: translateY(-1000000px);
	transition: opacity 0.3s ease;
}
.suggerimento_voce {
    text-transform: uppercase;
    background: rgba(239, 63, 63, 0);
    padding: 10px;
    transition: 0.2s ease;
    font-weight: 700;
    letter-spacing: 0.02em;
	 cursor: pointer;
	text-align: left;
}
.suggerimento_voce:hover {
    background: rgba(239, 63, 63, 0.1);
  
}
.body_suggerimento_autore #suggerimento_autore, .body_suggerimento_editore #suggerimento_editore, .body_suggerimento_libro #suggerimento_libro {
	transform: translateY(0);
	opacity: 1;
}
.indice_ricerca_lettere {
    margin-bottom: 10vh;
}
.indice_ricerca_lettere_link {
    padding: 10px;
    margin-right: 10px;
    margin-bottom: 10px;
    font-size: 2em;
    font-family: 'DM Serif Display';
    border-radius: 6px;
    color: #fff;
    border: 1px solid #888;
	transition: 0.5s ease;
	font-weight: 100;
	display: inline-block;
	cursor: pointer;
}
.indice_ricerca_lettere_link:hover {
   background:#fff;
    color: var(--coloretesto);
}


.maschera_tag_cont_1, .maschera_tipo_cont_1, .maschera_lingua_cont_1, .maschera_status_cont_1, .maschera_proprieta_cont_1{
    position: fixed;
    left: 0px;
    top: 0px;
    bottom: 0px;
    right: 0px;
    z-index: 700;
    background: rgba(68,68,68,1);
	overflow: auto;
    opacity: 0;
	transform: translateY(-200%);
	transition: opacity 0.5s ease;
}
.maschera_tag_on .maschera_tag_cont_1, .maschera_tipo_on .maschera_tipo_cont_1, .maschera_lingua_on .maschera_lingua_cont_1, .maschera_status_on .maschera_status_cont_1, .maschera_proprieta_on .maschera_proprieta_cont_1{ 
	opacity: 1;
	transform: translateY(0%);
	
}
.maschera_tag_cont_2, .maschera_tipo_cont_2, .maschera_lingua_cont_2, .maschera_status_cont_2, .maschera_proprieta_cont_2 {
    width: 100%;
    height: 100%;
    padding: 20px;
}

.maschera_tag, .maschera_tipo, .maschera_lingua, .maschera_status, .maschera_proprieta {
    width: 100%;
    max-width: 1600px;
    margin: 0 auto;
	transform: translateY(50px);
	opacity: 0;
}
.maschera_tag_on .maschera_tag, .maschera_tipo_on .maschera_tipo, .maschera_lingua_on .maschera_lingua, .maschera_status_on .maschera_status, .maschera_proprieta_on .maschera_proprieta{ 
	opacity: 1;
	transform: translateY(0%);
	transition: all 0.5s ease 0.1s;
}



.aggiungi_tipo_cont, .aggiungi_tag_cont, .aggiungi_lingua_cont, .aggiungi_status_cont, .aggiungi_proprieta_cont {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: flex-end;
    align-items: center;
    background: #fff;
    padding: 20px;
    border-radius: 6px;
    max-width: 800px;
    width: 100%;
    margin: 5vh 0;
}
.aggiungi_tipo_tag_div {
    flex: 0 0 100%;
    margin-bottom: 15px;
}
#aggiungi_tipo_input, #aggiungi_tipo_input2, #aggiungi_tag_input,  #aggiungi_tag_input2, #aggiungi_lingua_input,  #aggiungi_lingua_input2, #aggiungi_status_input,  #aggiungi_status_input2, #aggiungi_proprieta_input,  #aggiungi_proprieta_input2  {
    flex: 1 1 auto;
    margin-right: 10px;
    padding: 7px 10px;
    outline: none;
    border-radius: 3px;
    border: 1px solid #ccc;
    font-weight: bold;
	width: 100%;
    margin-top: 5px;
}

#messaggio_tipo, #messaggio_tag, #messaggio_lingua, #messaggio_status, #messaggio_proprieta {
	flex: 0 0 100%;
}
.cont_pul_assegna {
    margin-top: 40px;
    width: 100%;
    text-align: right;
	    border-top: 1px solid #fff;
    padding-top: 20px;
}

.flex_tipo, .flex_tag {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
}
.voce_flex_a {
    background: #fff;
    padding: 5px 15px;
    font-weight: 900;
	letter-spacing: 0.01em;
    text-transform: uppercase;
    border-radius: 1000px;
    transition: all 0.2s ease;
    
	margin: 10px;
}

.voce_flex_a span {
    transition: all 0.3s ease;
	cursor: pointer;
}
.voce_flex_a span:hover {
  color: var(--colore1)
}
.voce_tipo_flex_a_on, .voce_tag_flex_a_on, .voce_lingua_flex_a_on, .voce_status_flex_a_on, .voce_proprieta_flex_a_on {
  background: var(--colore1);
	color: #fff;
}
.voce_tipo_flex_a_on span, .voce_tag_flex_a_on span, .voce_lingua_flex_a_on span, .voce_status_flex_a_on span, .voce_proprieta_flex_a_on span {
	color: #fff;
}
.voce_tipo_flex_a_on span:hover, .voce_tag_flex_a_on span:hover, .voce_lingua_flex_a_on span:hover, .voce_status_flex_a_on span:hover, .voce_proprieta_flex_a_on span:hover {
  color: #fff;
	opacity: 0.8;
}

.voce_flex_a_comando {
    display: inline-block;
    color: #fff;
	background: var(--coloretesto);
    border-radius: 1000px;
    padding: 3px 10px;
    font-size: 13px;
    font-weight: 1000;
    cursor: pointer;
    transition: 0.3s ease;
}
.voce_flex_a_comando:hover {
	background: var(--colore1);

}
.cont_tag {
    background: #f5f5f5;
    padding: 10px;
    flex: 1 1 auto;
    border-radius: 6px;
    min-height: 40px;
	max-width: calc(100% - 100px);
}
.cont_tag_libro {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
}
.libro_tag {
    background: var(--coloretesto);
    color: #fff;
    padding: 5px 10px;
    border-radius: 600px;
    font-weight: 900;
    text-transform: uppercase;
    font-size: 13px;
    margin: 5px;
	display: inline-block;
}
.libro_tag_move {
	cursor: move;
}
.cont_gen_libri {
	width: 100%;
	max-width: 900px;
	margin: 0 auto;
	border-top: 1px solid var(--colore2);
}
.libro_riga {
    padding: 40px 0;
    border-bottom: 1px solid var(--colore2);
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    line-height: 1.2em;
    align-content: center;
    align-items: stretch;
}
/*
.cont_gen_libri .libro_riga:last-of-type {
	border-bottom: 0px solid var(--colore2);
}
*/
.libro_riga_img {
    background: #f5f5f5;
    width: 180px;
    min-height: 240px;
    flex: 0 0 180px;
	margin-right: 40px;
	border-radius: 8px;
	overflow: hidden;
}
.libro_riga_img_ok {
    background: #fff;
    border-radius: 0;
}
.libro_riga_img a {
        width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    padding: 20px;
}
.libro_riga_img_ok a {
    padding: 0px;
	height: auto;
	top: 50%;
	transform: translateY(-50%);
	overflow: hidden;
	border-radius: 8px;
}
.immagine_libro_lista {
    width: 100%;
    height: 100%;
    object-fit: contain;
	transition: 0.3s ease;
}
.libro_riga_img:hover .immagine_libro_lista {
	transform: scale(1.05);
}
.libro_riga_img_ok .immagine_libro_lista {
    width: 100%;
    height: auto;
	
    object-fit: contain;
	transition: 0.3s ease;
	border-radius: 8px;
}

.libro_riga_contenuto {
    flex: 1 1 auto;
	padding: 20px 0;
}
.libro_riga_tit {
    font-size: 1.2em;
    line-height: 1.2em;
    padding: 15px 0;
    /* font-style: italic; */
    font-weight: 800;
}
.libro_riga_comandi {
        text-align: right;
    line-height: 2.5em;
    padding-left: 40px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    align-items: stretch;
    justify-content: flex-end;
	line-height: 0.4em;

}
.elimina_da_lista {
    display: inline-block;
    background: #fff;
    border-radius: 100px;
    width: 20px;
    height: 20px;
    text-align: center;
    line-height: 20px;
    margin-left: 10px;
    transition: 0.3s ease;
	cursor: pointer;
}
.elimina_da_lista:hover {
    opacity: 0.5;
}


.maschera_tipo_on_gen .cont_pul_assegna {
	display: none;
}
.maschera_tag_on_gen .cont_pul_assegna {
	display: none;
}
#maschera_libro_cont_img {
    display: inline-block;
    vertical-align: middle;
}
#maschera_libro_cont_img a {
    width: 100px;
    height: 100px;
    display: inline-block;
    vertical-align: middle;
    padding: 10px;
    background: #f5f5f5;
    border-radius: 5px;
    overflow: hidden;
    margin-right: 10px;
    margin: 10px;
    margin-left: 0;
}
#maschera_libro_cont_img a img {
    width: 100%;
    height: 100%;
	object-fit: contain;
}
.maschera_libro_elimina_img {
	display: none;
}
.libro_con_img .maschera_libro_elimina_img {
	display: block;
    flex: 1 1 auto;
    text-align: right;
}
.maschera_libro_elimina_img label {
	display: inline-block;
    vertical-align: middle;
	line-height: 1;
	font-size: 1em;
	font-style: normal;
	cursor: pointer;
}
.maschera_libro_elimina_img input {
	display: inline-block;
    vertical-align: middle;
	line-height: 1;
	height: 25px;
	width: 25px;
	border-radius: 6px;
	border: none;
	margin-left: 10px;
	accent-color: var(--colore1);
	cursor: pointer;
}
.libro_con_img #libro_img {
	display: none;
}
.nessun_libro {
    padding: 20px 0;
    font-weight: bold;
    color: var(--colore1);
    border-bottom: 1px solid var(--colore2);
    width: 100%;
    text-align: center;
}

.conferma_elimina {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.9);
    z-index: 9999999999999999999;
	transform: translateY(-200%);
	opacity: 0;
	transition: opacity 0.3s ease;
}
.body_conferma_elimina .conferma_elimina {
	opacity: 1;
	transform: translateY(0%);
}
.conferma_elimina .centra2 {
    text-align: center;
	padding: 20px;
}
.maschera_conferma_elimina {
    background: #fff;
    max-width: 500px;
    padding: 20px;
    border-radius: 6px;
    margin: 0 auto;
}
.paginationcont {
    text-align: center;
    margin-top: 60px;
}
.paginationcount {
    margin-bottom: 20px;
}
.linkpag {
   width: 40px;
    height: 40px;
    display: inline-block;
    line-height: 40px;
    background: var(--colore2);
    color: #fff;
    border-radius: 10000px;
    margin: 5px;
    font-weight: normal;
    font-size: 13px;
}
.linkpagoff {
	background: var(--colore1);
}


.info_libro_cont {
    margin-top: 30px;
    margin-top: 30px;
    padding-top: 20px;
    border-top: 2px dotted #ccc;
}

.info_libro {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
    font-weight: bold;
    font-size: 13px;
    padding: 1px 0;
}
.info_libro span {
    flex: 0 0 100px;
	font-weight: normal;
}
.cont_login {
	width: 100%;
    max-width: 400px;
    margin: 0 auto;
    text-align: left;
}
.form_login label {
	display: block;
    margin-bottom: 10px;
	font-weight: bold;
}
.form_login input {
	width: 100%;
    padding: 15px;
    margin-bottom: 20px;
    border: none;
    border-radius: 8px;
    background: #f5f5f5;
    outline: none;
}
.spazio_pagination {
    display: inline-block;
    vertical-align: middle;
    margin: 0 10px;
    bottom: 5px;
}
.info_libro a {
    font-weight: 700;
    display: inline-block;
    margin: 0 5px;
	transition: 0.3s ease;
}
.info_libro a:nth-of-type(1) {
    margin: 0 5px 0 0;
}
.info_libro a:hover {
	color: var(--colore1);
}
.link_scheda_libro {
	font-weight: normal;
	transition: 0.3s ease;
}
.link_scheda_libro:hover {
	color: var(--colore1);
}
.titolo_main_libri {
	font-family: "DM Serif Display", serif;
	font-size: 2em;
	font-weight: 400;
	letter-spacing: 0.02em;
	line-height: 1em;
	margin: 10px 0;
}
.pre_titolo_main_libri {
    color: var(--colore1);
	line-height: 1em;
    
}
.post_titolo_main_libri {
    color: var(--coloretesto);
    color: #666;
    line-height: 1em;
    display: inline-block;
    margin-top: 5px;
    
}
.span_edizione {
    font-weight: normal;
}
.cont_gen_libro {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}
.libro_cont {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: flex-start;
    justify-content: flex-end;
    margin-top: 40px;
}
.libro_img {
    flex: 1 1 30%;
    background: #f5f5f5;
    padding: 20px;
    min-width: 180px;
    margin-bottom: 40px;
}
.libro_img_ok {
    padding: 0;
    background: #fff;
}
.immagine_libro {
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
    display: block;
}
.libro_riga_comandi2 {
	text-align: right;
    padding-left: 200px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    align-items: flex-end;
    justify-content: flex-end;
    line-height: 0.4em;
    margin-top: 40px;
    padding-top: 20px;
    border-top: 1px solid var(--colore2);
    flex: 0 0 100%;
}
.libro_contenuto {
    flex: 1 1 70%;
    padding: 40px;
	font-size: 1.1em;
}


.libro_contenuto .info_libro_cont {
    padding-top: 0px;
}
.libro_contenuto .info_libro {
    font-size: 14px;
    padding: 10px 0;
    border-bottom: 2px dotted #ccc;
}
.libro_contenuto .info_libro span {
    flex: 0 0 120px;
    font-size: 0.95em;
}

.libro_contenuto2 {
    width: 100%;
    max-width: 600px;
    margin: 0 auto;
}

.libro_riga_tit {
	transition: 0.3s ease;
}
.link_titolo:hover .libro_riga_tit{
	color: var(--colore1);
}
.link_scheda_libro_info {
    margin: 2px 0 !important;
}
.divider_end {
    display: block;
	 margin-top: 60px;
    margin-bottom: 40px;
    border: none;
    height: 0px;
    background: #ccc;
    width: 100%;
}
.finanziato_logo {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}
.logo_finanziato {
    flex: 0 0 auto;
}
.logo_finanziato img {
    height: 35px;
    margin: 20px;
}
.finanziato {
    margin-top: 20px;
	font-size: 12px;
    line-height: 1.7em;
}
.ico_lang {
    vertical-align: middle;
    display: inline-block;
	width: 30px;
	height: 30px;
	margin-right: 15px;
}
.centro_ava_end {
    margin: 0;
    padding: 0;
    font-size: 0.85em;
}